Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.

Bug 1656688

Summary: Stop using python2 in llvm-test-suite
Product: [Fedora] Fedora Reporter: Tom Stellard <tstellar>
Component: llvm-test-suiteAssignee: serge_sans_paille <sguelton>
Status: CLOSED RAWHIDE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: rawhideCC: mhroncok, tstellar
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2019-01-17 12:07:25 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Bug Depends On:    
Bug Blocks: 1322027    

Description Tom Stellard 2018-12-06 05:37:32 UTC
We need to convert the python2 scripts to python3.

Comment 1 Miro Hrončok 2018-12-06 06:26:38 UTC
I suppose this is still an upstream thing, ...?

Comment 2 serge_sans_paille 2018-12-18 16:54:26 UTC
Patch proposed upstream: https://reviews.llvm.org/D55829.
Note that this patch make the scripts compatible with both Python2 and Python3.

7.0.1 has been shipped with this patch applied.

Comment 3 Tom Stellard 2018-12-21 20:55:46 UTC
The pathfix.py use in the spec file should be updated to use python3.

Comment 5 serge_sans_paille 2019-01-03 15:16:59 UTC
Python compatibility patch merged upstream, and pathfix applied by Miro as of https://src.fedoraproject.org/rpms/llvm-test-suite/pull-request/4